XEmptyRegion(3)

NAME
XEmptyRegion, XEqualRegion, XPointInRegion, XRectInRegion - determine if regions are empty or equal

SYNTAX

Bool XEmptyRegion(Region r);

Bool XEqualRegion(Region r1, Region r2);

Bool XPointInRegion(Region r, int x, int y);

int XRectInRegion(Region r, int x, int y, unsigned int width, unsigned int height);

ARGUMENTS

r   Specifies the region.

r1

r2  Specify the two regions.

width

height
    Specify the width and height, which define the rectangle.

x

y   Specify the x and y coordinates, which define the point or the coordinates of the upper-left corner of the rect.

DESCRIPTION
The function returns if the region is empty.

The function returns if the two regions have the same offset, size, and shape.

The function returns if the point (x, y) is contained in the region r.

The function returns if the rectangle is entirely in the specified region, if the rectangle is entirely out of the specified region, and if the rectangle is partially in the specified region.

SEE ALSO
XCreateRegion(3), XIntersectRegion(3)
Xlib - C Language X Interface